cURL
curl --request GET \ --url https://api.compute.x.io/v1/job-runs
{ "data": [ { "object": "job_run", "created_at": "2023-12-25", "updated_at": "2023-12-25", "status": "ASSIGNED", "node_snapshot": { "uuid": "<string>" }, "node_urls": [ { "hostname": "<string>", "port": 123, "protocol": "<string>", "description": "<string>" } ], "assigned_at_ms": 123, "duration_ms": 123, "max_timeout_start_ms": 123, "billing_rule": "<string>", "hourly_rate_usd": 123, "job_snapshot": { "title": "<string>", "uuid": "<string>" }, "uuid": "<string>", "node_uuid": "<string>", "node": "<string>", "prepared_at_ms": 123, "started_at_ms": 123, "ended_at_ms": 123, "max_timeout_run_ms": 123, "timeout_run_at_ms": 123, "timeout_start_at_ms": 123, "prep_hourly_rate_usd": 123, "last_billed_at": "2023-12-25", "next_billing_at": "2023-12-25", "cancelled_reason": "<string>", "failed_reason": "<string>", "logs": "<string>", "job_uuid": "<string>", "job": "<string>", "image_size_bytes": 123, "_id": "<string>", "completed_by": "<string>", "consumer_account_uuid": "<string>", "operator_account_uuid": "<string>" } ], "limit": 123, "page": 123, "total": 123 }
1 <= x <= 50
1
1 <= x <= 9007199254740991
"created_at OR -created_at"
"2023-01-01,2024-01-01"
"COMPLETED,FAILED"
List job runs
Show child attributes